pbs_tmrsh(8B)

NAME
pbs_tmrsh - TM-enabled replacement for rsh/ssh for use by MPI implementations

SYNOPSIS
pbs_tmrsh <hostname> [-l <username>] [-n] <command> [<args> ...]
pbs_tmrsh --version

DESCRIPTION
The pbs_tmrsh command attempts to emulate an "rsh" connection to the specified host, via underlying calls to the Task Management (TM) API. The program is intended to be used during MPI integration activities, and not by end-users. Running "pbs_tmrsh <hostname> <command>" causes a PBS task to be started on hostname running command. Requirements for Environment Variables
The environment variables used by the two MPI implementations to point to the rsh work-alike (MPI_REMSH in the case of HP and P4_RSHCOMMAND for MPICH) must be set in the job environment and point to the full path for pbs_tmrsh.

The file $PBS_HOME/pbs_environment should contain an environment variable PATH in which to search for the program executable. This applies to both Windows and Linux. It is expected that a full path will be specified for the command and the PATH variable will not be needed.

OPTIONS

-l <username>
    Specifies the username under which to execute the task. If used, username must match the username running the pbs_tmrsh command.

-n  A no-op; provided for MPI implementations that expect to call rsh with the -n option.

--version
    The pbs_tmrsh command returns its PBS version information and exits. This option can only be used alone.

OPERANDS

command
    Specifies command to be run as a PBS task.

hostname
    Specifies host on which to run PBS task. The hostname may be in IP-dot-address form.

Output and Error
Output and errors are written to the PBS job's output and error files, not to standard output/error. The pbs_tmrsh command writes a diagnostic message to the PBS job's error file for each error occurrence.

EXIT STATUS
The pbs_tmrsh program exits with the exit status of the remote command or with 255 if an error occurred. This is because ssh works this way.

SEE ALSO
The PBS Professional Administrator's Guide and the following manual pages: pbs_attach(8B), tm(3)